<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" 
          integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <style>
    body {
      background-color: #f8fafc;
    }
    
    .navbar-laravel {
      background-color: #fff;
      box-shadow: 0 2px 4px rgba(0, 0, 0, 0.04);
    }
    
    /* Sticky footer styles
	-------------------------------------------------- */
	html {
	  position: relative;
	  min-height: 100%;
	}
	body {
	  /* Margin bottom by footer height */
	  margin-bottom: 60px;
	}
	.footer {
	  position: absolute;
	  bottom: 0;
	  width: 100%;
	  /* Set the fixed height of the footer here */
	  height: 60px;
	  line-height: 60px; /* Vertically center the text there */
      background-color: #fff;
      box-shadow: 0 -2px 4px rgba(0, 0, 0, 0.04);
	}
    </style>

    <title>SQLite Injection</title>
  </head>
  <body>
  
  
<?php
$dbh = new PDO("sqlite:" . __DIR__ . "/../db.sqlite");
?>

<nav class="navbar navbar-expand-md navbar-light navbar-laravel">
    <div class="container">
        <a class="navbar-brand" href="/">
            SQLite Injection
        </a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" 
                aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <!-- Left Side Of Navbar -->
            <ul class="navbar-nav mr-auto">
                <li class="nav-item">
                    <a class="nav-link" href="/">Home</a>
                </li>
            </ul>

            <!-- Right Side Of Navbar -->
            <ul class="navbar-nav ml-auto">
            </ul>
        </div>
    </div>
</nav>

<main class="py-4">
<div class="container">

    <div class="row justify-content-center">
        <div class="col-md-8 text-center">
			<h2 class="my-4">Search</h2>
                
			<form method="POST" action="/">
				<div class="row">
					<div class="col-md-10">
					    <input id="search" type="text" class="form-control text-center" name="search" value="" 
                               required autofocus>
					</div>
					
					<div class="col-md-2">
					<button type="submit" class="btn btn-primary">Search</button>
					</div>
				</div>
			</form>
        </div>
    </div>
    
    
    <?php if (isset($_POST["search"])) : ?>
    <div class="row my-5">
		<div class="col-md-12">
		<?php
		$search = $_POST["search"];
		$sql = "SELECT * FROM `pages` WHERE `title` LIKE '%$search%' LIMIT 0, 20";
	    $result = $dbh->query($sql);

		// $errors = $dbhs->errorInfo();
		// echo "<p>" . $errors[2] . "</p>";

		while ($row = $result->fetch()){
			echo "<div>" 
			. "<h4><a href='" . $row["url"] . "'>" . $row['title'] . "</a></h4>"
			. "<p>" . $row["url"] . "</p>"
			. "</div>";
		}
		?>
		</div>
    </div>
    <?php endif ?>
</div>
</main>

<footer class="footer">
  <div class="container">
	<span class="text-muted">
		<a href="https://gitlab.cylab.be/cylab/play/sqlite-injection">SQLite injection</a>
        <?php echo file_get_contents(__DIR__ . '/VERSION') ?> |
		<a href="https://cylab.be">cylab.be</a>
	</span>
  </div>
</footer>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" 
            integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" 
            crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" 
            integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" 
            crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" 
            integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" 
            crossorigin="anonymous"></script>
  </body>
</html>
